org.apache.fontbox.afm

## Class CompositePart

- java.lang.Object
- - org.apache.fontbox.afm.CompositePart

    public class CompositePart
    extends Object

This class represents a part of composite character data.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`CompositePart(String name, int xDisplacement, int yDisplacement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` Getter for property name.
`int` `getXDisplacement()` Getter for property xDisplacement.
`int` `getYDisplacement()` Getter for property yDisplacement.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompositePart

    public CompositePart(String name,
                         int xDisplacement,
                         int yDisplacement)

### Method Detail

#### getName

    public String getName()

Getter for property name.

Returns:
  Value of property name.

#### getXDisplacement

    public int getXDisplacement()

Getter for property xDisplacement.

Returns:
  Value of property xDisplacement.

#### getYDisplacement

    public int getYDisplacement()

Getter for property yDisplacement.

Returns:
  Value of property yDisplacement.